package com.fjhx.customer.mapper.xiaoman;

import com.fjhx.customer.entity.xiaoman.po.XiaomanCustomer;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.customer.entity.xiaoman.vo.XiaomanCustomerVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 小满客户表 Mapper 接口
 * </p>
 *
 * @author lqh
 * @since 2024-04-06
 */
public interface XiaomanCustomerMapper extends BaseMapper<XiaomanCustomer> {

    /**
     * 小满客户表列表
     */
    List<XiaomanCustomerVo> getList(@Param("ew") IWrapper<XiaomanCustomer> wrapper);

    /**
     * 小满客户表分页
     */
    Page<XiaomanCustomerVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<XiaomanCustomer> wrapper);

}
